# Accounts Objects

### UserBalancesObject

<table><thead><tr><th width="224.33333333333331">      Parameter</th><th width="168" align="center">Type</th><th>                            Description</th></tr></thead><tbody><tr><td><code>available</code></td><td align="center">number</td><td>totalBalance - pending - creditBalance</td></tr><tr><td><code>availableBalance</code></td><td align="center">number</td><td>Account's available balance</td></tr><tr><td><code>creditBalance</code></td><td align="center">number</td><td>Account's credit balance</td></tr><tr><td><code>depositAddress</code></td><td align="center">string</td><td>Account's deposit address</td></tr><tr><td><code>pending</code></td><td align="center">number</td><td>Pending amount</td></tr><tr><td><code>pendingTransfer</code></td><td align="center">number</td><td>sum of all transactions with <code>PROCESSING</code> or <code>CREATED</code> status</td></tr><tr><td><code>symbol</code></td><td align="center">string</td><td>Currency symbol</td></tr><tr><td><code>totalBalance</code></td><td align="center">number</td><td>availableBalance + pendingTransfer + sum of all <code>AWAITING</code> status for LIMIT/GTC/GTD orders</td></tr><tr><td><code>updatedAt</code></td><td align="center">number</td><td>Time in epoch milliseconds when this order was last updated.</td></tr></tbody></table>

### EstimateBalanceUSDObject

<table><thead><tr><th width="218.33333333333331">      Parameter</th><th width="171" align="center">Type</th><th>                            Description</th></tr></thead><tbody><tr><td><code>usdTotal</code></td><td align="center">number</td><td>Account's total aggregated balance in USD</td></tr></tbody></table>

### APIKeysObject

<table><thead><tr><th width="226.33333333333331">      Parameter</th><th width="172" align="center">Type</th><th>                            Description</th></tr></thead><tbody><tr><td><code>createdAt</code></td><td align="center">number</td><td>Time in epoch milliseconds when this order was created.</td></tr><tr><td><code>key</code></td><td align="center">string</td><td>API key</td></tr><tr><td><code>keyId</code></td><td align="center">string</td><td>API Key ID</td></tr><tr><td><code>type</code></td><td align="center">string</td><td>API type, always <code>"regular"</code></td></tr><tr><td><code>username</code></td><td align="center">string</td><td>Account's username</td></tr></tbody></table>

### APIKeyUsageObject

<table><thead><tr><th width="225.33333333333331">      Parameter</th><th width="175" align="center">Type</th><th>                            Description</th></tr></thead><tbody><tr><td><code>items</code></td><td align="center">obj</td><td>Return an <a href="#itemsobject">itemsObject</a></td></tr><tr><td><code>usagePlanId</code></td><td align="center">string</td><td> Usage plan API key belongs to</td></tr></tbody></table>

### itemsObject

Contains all API keys account currently holds

<table><thead><tr><th width="224.33333333333331">        Parameter</th><th width="184" align="center">Type</th><th>                            Description</th></tr></thead><tbody><tr><td><code>8vtfqoxbcj</code></td><td align="center">array</td><td><p>An example of an API key ID</p><p>In the example, total number of API requests sent for the period is 0 and the total limit on the API key is 100000.</p></td></tr></tbody></table>

### UserSettingsObject

<table><thead><tr><th width="218.33333333333331">      Parameter</th><th width="193" align="center">Type</th><th>                            Description</th></tr></thead><tbody><tr><td><code>commission</code></td><td align="center">number</td><td>Amount Aquanow charges (in quote symbol) <strong>IF</strong> the execution is fee-based. It is in basis points (i.e., 20 would mean 0.002).</td></tr><tr><td><code>createdAt</code></td><td align="center">number</td><td>Time in epoch milliseconds when this order was created.</td></tr><tr><td><code>enableGTC</code></td><td align="center">bool</td><td>If GTC order strategy has been enabled.</td></tr><tr><td><code>enableGTD</code></td><td align="center">bool</td><td>If GTD order strategy has been enabled.</td></tr><tr><td><code>enableLIMIT</code></td><td align="center">bool</td><td>If LIMIT order strategy has been enabled.</td></tr><tr><td><code>enableMARKET</code></td><td align="center">bool</td><td>If MARKET order strategy has been enabled.</td></tr><tr><td><code>enableRFQ</code></td><td align="center">bool</td><td>If RFQ order strategy has been enabled.</td></tr><tr><td><code>enableSOR</code></td><td align="center">bool</td><td>If SOR order strategy has been enabled.</td></tr><tr><td><code>enableTWAP</code></td><td align="center">bool</td><td>If TWAP order strategy has been enabled.</td></tr><tr><td><code>favoriteTickers</code></td><td align="center">array</td><td>Favorite tickers set by user.</td></tr><tr><td><code>fiatWhitelist</code></td><td align="center">obj</td><td>Returns a <a href="#fiatwhitelistobject">FiatWhitelistObject</a></td></tr><tr><td><code>ipWhitelist</code></td><td align="center">array</td><td>Account's whitelisted IP addresses.</td></tr><tr><td><code>isOnboard</code></td><td align="center">bool</td><td>If user has been onboarded</td></tr><tr><td><code>networkFee</code></td><td align="center">obj</td><td>Returns a <a href="#networkfeeobject">NetworkFeeObject</a></td></tr><tr><td><code>rfqPeriod</code></td><td align="center">number</td><td>RFQ period</td></tr><tr><td><code>updatedAt</code></td><td align="center">number</td><td>Time in epoch milliseconds when this order was last updated.</td></tr><tr><td><code>username</code></td><td align="center">string</td><td>Account's username</td></tr><tr><td><code>whitelist</code></td><td align="center">obj</td><td><p>Account's whitelisted crypto addresses.</p><p>Returns a <a href="#whitelistobject">WhitelistObject</a></p></td></tr></tbody></table>

### FiatWhitelistObject

| Parameter  | Type | Description                                                                                            |
| ---------- | :--: | ------------------------------------------------------------------------------------------------------ |
| `0EPd7p1h` |  obj | <p>An example of a whitelisted fiat address.<br>Returns a <a href="#fiatobject">FiatInfoObject</a></p> |

### FiatInfoObject

<table><thead><tr><th width="281.3333333333333">              Parameter</th><th width="142" align="center">Type</th><th>                       Description</th></tr></thead><tbody><tr><td><code>accountNumber</code></td><td align="center">string</td><td>Fiat bank account number</td></tr><tr><td><code>bankAddress</code></td><td align="center">string</td><td>Bank address</td></tr><tr><td><code>bankName</code></td><td align="center">string</td><td>Bank name</td></tr><tr><td><code>beneficiaryAddress</code></td><td align="center">string</td><td>Recipient of transaction's address</td></tr><tr><td><code>beneficiaryName</code></td><td align="center">string</td><td>Recipient of transaction's name</td></tr><tr><td><code>intermediaryBankAddress</code></td><td align="center">string</td><td>Intermediary bank address, if applicable.</td></tr><tr><td><code>intermediarySwftBicCode</code></td><td align="center">string</td><td>Intermediary SWIFT/BIC code, if applicable.</td></tr><tr><td><code>label</code></td><td align="center">string</td><td>Label set by user</td></tr><tr><td><code>routingAbaNumber</code></td><td align="center">string</td><td>Bank's ABA routing number</td></tr><tr><td><code>swiftCode</code></td><td align="center">string</td><td>Bank's SWIFT code</td></tr><tr><td><code>symbol</code></td><td align="center">string</td><td>Currency symbol</td></tr><tr><td><code>verified</code></td><td align="center">bool</td><td>If banking information has been verified by Aquanow.</td></tr></tbody></table>

### NetworkFeeObject

Some symbols such as USDT and USDC use multiple networks.

<table><thead><tr><th width="200">     Parameter</th><th width="164.33333333333331" align="center">Type</th><th>                              Description</th></tr></thead><tbody><tr><td><code>USD</code></td><td align="center">obj</td><td>An example of a NetworkFeeObject.<br>Returns a <a href="#networkfeesymbolobject">NetworkFeeSymbolObject</a></td></tr></tbody></table>

### NetworkFeeSymbolObject

<table><thead><tr><th width="228">            Parameter</th><th width="195.33333333333331" align="center">Type</th><th>             Description</th></tr></thead><tbody><tr><td><code>fee</code></td><td align="center">number</td><td>Network fee</td></tr><tr><td><code>feeType</code></td><td align="center">string</td><td>Network fee type</td></tr><tr><td><code>free</code></td><td align="center">bool</td><td></td></tr><tr><td><code>variable</code></td><td align="center">string</td><td>Variable rate</td></tr></tbody></table>

### WhitelistObject

<table><thead><tr><th width="259.3333333333333">            Parameter</th><th width="168" align="center">Type</th><th>              Description</th></tr></thead><tbody><tr><td><code>0x4714P0830219084c99c42a96616gA8711a97F8ec</code></td><td align="center">obj</td><td>An example of a crypto address.<br>Returns a <a href="#cryptoinfoobject">CryptoInfoObject</a>.</td></tr></tbody></table>

### CryptoInfoObject

<table><thead><tr><th width="234">          Parameter</th><th width="164.33333333333331" align="center">Type</th><th>                            Description</th></tr></thead><tbody><tr><td>currencyTag</td><td align="center">string</td><td>Currency tag</td></tr><tr><td>label</td><td align="center">string</td><td>Label set by user</td></tr><tr><td>symbol</td><td align="center">string</td><td>Currency symbol</td></tr><tr><td>verified</td><td align="center">bool</td><td>If banking information has been verified by Aquanow.</td></tr></tbody></table>

<table><thead><tr><th width="234">          Parameter</th><th width="164.33333333333331" align="center">Type</th><th>                            Description</th></tr></thead><tbody><tr><td>unutilizedCreditUSD</td><td align="center">number</td><td>Represents the unused portion of an account's credit limit, expressed in US dollars (USD)</td></tr><tr><td>accountId</td><td align="center">string</td><td>A unique identifier for the user's account within the platform</td></tr><tr><td>updatedAt</td><td align="center">string</td><td>Time in epoch milliseconds when this order was last updated.</td></tr><tr><td>createdAt</td><td align="center">number</td><td>Time in epoch milliseconds when this order was created.</td></tr><tr><td>username</td><td align="center">string</td><td>The parent username that the account was created under.</td></tr><tr><td>creditLimitUsd</td><td align="center">number</td><td>Denotes the upper limit of an account's potential negative balance in US dollar (USD) equivalent.</td></tr></tbody></table>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.aquanow.io/aquanow/legacy/data-objects-and-statuses/accounts-objects.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
